CFR Film Table Commander

CFR Film table Commander is a utility which allows you to edit and/or create new Polaroid Color Film Recorder film tables. It is compatible with the Polaroid Pro Palette 7000 and 8000 series color film recorder models.


Minimum Requirements

CFR Film table Commander requires the following minimum requirements:

  • Administrative privileges in Microsoft Windows
  • 800 x 600 or greater video resolution
  • 20 MB of free hard disk space

CFR Film Table Commander is compatible with Polaroid Pro Palette 7000 and 8000 model series film tables.


Introduction To Film Tables

CFR Film table Commander is a utility for editing Polaroid Pro Palette 7000 and 8000 film tables.

Film tables are data files which adjust the color and tone characteristics of your Color Film Recorder. They compensate for color sensitivity differences between different types and brands of film. A separate, custom calibrated film table is needed for each type/brand of film that you plan to print to with your CFR.

Adjusting film tables is the only really acceptable way to adjust the color and tone output of your Color Film Recorder because it modifies the image in high bit space (15-16 bit/channel color space). Simply adjusting your digital images to compensate for these film differences is effectively an 8 bit/channel color space adjustment (even if you are editing a 16 bit/channel version of your images) and can seriously degrade image quality.

The next help file topics describe film tables in more detail:

  • Parts Of A Film Table
  • Look Up Tables


Parts of a Film Table

Film tables contain two types of information: Header Information and Look Up Tables (LUT's). The Header Information contains descriptive information about the current film as well as information about how the color film recorder hardware should be setup to print to the current film. The LUT(s) contain the detailed table of light exposure levels which fully control the output characteristics of the printer.

The film table Header Information can be viewed and edited on the main film table edit window section labeled "Step (3) - View/Edit Header Info". There are five pieces of information listed there:

  1. Film Table Name - This is the film table description which users see from within their CFR printing application. It can be 23 characters long or less. If you are creating a new film table or creating a new version of an existing film table, then you will want to change this name to help you identify the current film table when printing with your CFR.
  2. Internal Name - This is an eight character name that is used by the CFR printing software to identify the current film table. Each film table MUST have a unique internal name. When you create a new film table using the New Film Table Wizard then a random eight character code is generated for the internal name. If you edit an existing film table then you should modify this internal name to avoid conflicts with your other film tables.
  3. Palette Series - The internal format is different for Pro Palette 7000 series and 8000 series film tables. This indicator determines which model of CFR the current film table is made for.
  4. Film/Exposure - This indicator describes the type of film (Black and White or Color) that is being printed to. This is important because if color film is used then the film will be exposed in three steps - once through a red filter, once through a green filter and once through a blue filter. If printing to a B/W film, then the film will only be exposed in one step. If exposing B/W film then you also have to choose which filter to exposure the film through. By choosing the filter through which the exposure is made you can further adjust the light levels exposed onto the film. This is because different color filters block different percentages of white light:
    • "Clear" filter - Selecting this exposes the B/W film directly without any filter. This will result in the highest light exposures
    • "Green" filter - Selecting this option exposes the film through the green filter. B/W film is generally more sensitive to the light which passes through the green filter than the red or blue filters.
    • "Red" filter - Selecting this option exposes the film through the red filter.
    • "Blue" filter - Selecting this option exposes the film through the blue filter. B/W film is generally less sensitive to the light which passes through the blue filter than the red or blue filters.
  5. Film Format - This indicator describes the format of the film that the film table is made for (35mm, 6x7, 6x7, or 4x5).


Look Up Tables

Look Up Tables ("LUTs") are the heart of a film table. They consist of a table of three sets (one for each color channel) of 256 exposure values which determine the color output characteristics of the CFR.

How LUTs Control Printer Output:

In order to better understand how LUTs control the output of a CFR, you must have an idea about how image data processed through the CFR. Each pixel in a digital image is described by three numbers: a red, green and blue value. These values are integers in the range of 0 to 255. The CFR exposes film by illuminating a pixel area on a CRT (Cathode Ray Tube, similar to a computer monitor except higher in resolution) to a given brightness level. The CRT in the CFR always displays neutral (white or gray) colored light. Colored light is produced by placing red, green and then blue between the CRT and film.

When printing color images, the CFR first places the red filter between the CRT and film by rotating a filter wheel which contains areas of red, green, blue and "clear" (no filter) filters. The CFR then performs the red epxosure for all pixels. The CRT brightness and exposure duration for each pixel that is exposed is determined by the red component of the digital image being printed and the LUT (see more detailed information below here about this). The same type of exposure is then performed for the green and blue components of the image.

How LUTs Are Used to Determine Exposure Values:

The LUT is a table which determines how bright the CRT should be for each RGB value. The CRT exposure values are expressed as integer values. Given the RGB pixel values, the corresponding CRT exposure values are looked up in the LUT to determine how brightly to expose the red, green and blue channels of the film when images are printed.

For expample consider the following LUT:

RGB | RED Exposure | Green Exposure | Blue Exposure
0 | 0 | 0 | 0
1 | 2 | 3 | 8
2 | 4 | 7 | 14
3 | 9 | 14 | 30
4 | 12 | 32 | 79
... | ... | ... | ...
255 | 9200 | 16000 | 28000

Using this LUT, if an RGB value of (3,1 2) was printed, then an exposure level of 9 would be used through the red filter, an exposure level of 3 through the green filter and an exposure level of 14 through the blue filter.

Other Important Facts About LUTs:

One important observation about film table LUTs is that they can vary a great deal for seemingly similar films. In the example that is shown above, the blue exposure values are higher than the red and green exposure values. This means that for this hypothetical film, the CFR must expose more blue filtered light in order to produce proper color balance. Other similar films might require less blue exposure and much more red or green exposure. The relative LUT exposure values depend on many factors including the sprectal color transmittance of the color filters in the CFR, the spectral sensititivities of the film dyes, etc. These can all result in very different looking LUTs.

Another important point about LUTs is that they almost totally control the image characteristics of the CFR. This includes the image color balance, contrast, brightness, etc. This makes editing the LUTs the most powerful way to adjust the characteristics of the images produced by the CFR.

Finally, it should be noted that because of differences of hardware configuration, the Pro Palette 8000 series CFR's contain two sets of LUTs. One LUT is used when printing images above 4K resolution and one LUT is used when printing at or below 4K resolution. You will notice that the exposure values of the 8K resolution version of LUTs is roughly about half of the exposure levels of the 4k resolution version of LUTs. This is basically because exposing twice as many lines of pixels doubles the time that the film is exposed to light and hence requires a less bright exposure by the CRT.


Operation of CFR Film Table Commander

The CFR Film Table Commander lets you view and edit the contents of your film tables. The next help file sections describe the process for users to edit and create new film tables:

  • Before Starting To Edit Film Tables
  • Steps To View, Edit/Create and Save Film Tables


Before You Start Editing Film Tables

Before You Starting Editing Film Tables

Before you start editing film tables, you need to locate the active CFR film table directory, possibly backup your existing your existing film tables, and then organize your files in a way that will help you keep track of your files.

Locate Active CFR Film Table Folder:

To get started, you need to find the active CFR film table folder on your hard drive. This is the folder that contains all film tables which are currently visible to your CFR printing software. The folder name will reflect the model of CFR that you have. The film table files will also all end in the three letter extension ".flm".

Backup Film Table Folder (recommended):

Since you will be modifying the current Pro Palette film tables, it is strongly recommended to backup the current film table folder so that you can restore your original film tables at any time. You can backup the existing film tables by simply copying the current film table folder to another location onto your hard drive. For example, you could create a folder in your "my documents" folder, rename it "film table backup" and then copy the film table folder into that directory.

In the future, if you want to restore your film tables to their original state then you can simply copy the folder from your "film table backup" folder back over the active film table folder on your hard drive. You can also restore individual film tables by overwriting modified versions of them with your backed up original versions.

Decide on Film Table Editing Strategy:

It is important that you plan on how you will be organizing the various versions of film tables that you will be creating. The simplest thing to do is to just modify the existing film tables from the active film table directory. If you're not careful, though, you could end up with many versions of a particular film table in one directory and lose track of which is your latest and/or best version.

An alternative method is to keep the film tables that you are editing in a folder other than the active CFR film table folder (where your CFR printing software looks for film tables). You can then copy the film tables that you want to currently print with into the active CFR film table folder as needed.

You can decide whichever organizational system works best for you. No matter what you do, though, be sure to modify the film table filenames and description strings properly to help you keep track of the changes that you are making.


Steps To View, Edit/Create, and Save Film Tables

Working with film tables with the CFR Film Table Commander is done in six steps:

  1. Select Film Table Folder
  2. Select Film Table To Edit
  3. View/Edit Film Table Header Information
  4. View Film Table LUTs
  5. Edit film table LUTs
  6. Save Film Table

All these steps are performed from their respective area on the main film table editing dialog box of the CFR Film Table Commander. Details of each of the steps in the process are shown below here:

Step (1) - Select Film Table Folder:

The first step is to select the folder on your hard drive which contains the film tables that you would like to edit. If you are only going to be creating new film tables then you can ignore this step. The currently selected folder is listed on the main film table editing window. To change the current folder, click on the "Browse" button and select the folder from the dialog box that opens.

Step (2) - Select Film Table To Edit:

The next step is to select the film table which you would like to view/edit. In this section of the main film table editing window, a list of all film tables that are in the currently selected folder is displayed. If you change folders then this list updates to show the list of film tables that are in the new folder. To open a film table and view its contents, simply select it from this list. As soon as you click on the film table name, the film table will be opened and its contents will be displayed in the next sections of the dialog.

If you want to create a new film table instead of editing an existing film table, then simply click on the "New Film Table Wizard" button. You will be prompted with a series of questions about the film table that you would like to create, and a new film table will be created for you. You will be able to edit and save the new film table in the next steps.

Step (3) - View/Edit Header Information:

After a film table is selected, its Header Information is displayed. The Header Information values can be edited directly in the main film table editing window. The information includes:

  1. Film Table Name -- This is the description of the film table which is displayed by the CFR printing software. It must be 23 characters or less.
  2. Internal Name -- This is an internal identifier for film tables. Each film table must have a unique Internal Name (8 character maximum).
  3. Palette Series - This indicates which model series of Color Film Recorder the film table is made for.
  4. Film/Exposure - This indicates whether color or B/W film is being used. If B/W film is being used then you need to choose which filter the film will be exposed through. Use the clear filter for the highest level of light exposure or the green, red or blue filters for progressively less exposure.
  5. Film Format - Select the film format (e.g. 35mm, 4x5, ...).

Usually the only pieces of Header Information that you will have to adjust are the Film Table Name and possibly the Internal Name. The Film Table Name will help you identify your modified film table from within your printing software. You only have to have to change the Internal Name of a film table if you are going to simulateously keep several film table versions made for the same film in your active film table folder. You need to set the Internal Name so that each film table in the active film table folder has a unique internal name. When a new film table is created with the film table Wizard, a new random internal name is generated so you don't have to worry about adjusting it in that case.

Choosing whether your film is color or B/W makes a big difference in how the film is exposed by the CFR. If color film is exposed three times, once through the red, green and blue internal filters of the CFR. If the film table Header Information indicates a B/W film then the CFR will expose the film only once, through one filter. You choice of which filter the film is to be exposed through is stored as part of the film table Header Information. The only difference that the filter makes for B/W film is in the amount of light level that reaches the film. Selecting the "clear" filter means that the film is exposed directly, through no filter. This will expose the B/W film with the highest possible light levels. Conversely, exposing through the blue filter (which is the darkest filter) will block much of the light and causes relatively less light exposure onto the film. You should never really have to worry about which filter to expose your B/W films through. Any of the three colored filters should produce reasonable results, and if you have a very slow speed film then you might want to use the "clear" filter.

The selection of film format is self explanatory. It should be noted that because of differences in optics, some film formats require higher light levels from the CFR than others in order to expose film adequately.

Step (4) - View LUTs:

The heart of the film table is the Look Up Table(s), also known as "LUTs". In this next section of the main dialog, a plot of the LUTs of the currently selected film table is displayed. The LUTs are the table of values that the CFR uses to translate digital red, green, and blue values into the light exposures that the CFR exposes the film with. The X axis of the LUT plot represents digital image number (RGB value), and the Y axis represents light intensity exposure.

There are several options available to the user for customizing the plot of the LUTs:

  • Resolution - Select here whether you would like to view the LUTs for 4k resolution or 8k (for Pro Palette 8000 series models only) resolution
  • LUTs shown - If you modify the LUTs then you can use this control to switch between viewing the original LUTs or the modified LUTs
  • Log Plot - Check this box on if you would like to see the log of the exposure values plotted
  • Dispaly Channels - Using this dropdown control located above the LUT plot, you can choose which channel(s) to display (the default selection of "RGB" displays all channels - red, green, and blue)

Besides these viewing options, there are several important options available in this section for resetting LUT values:

  • Reset LUT - This options undoes all modification made to the current LUT and resets it back to its original values
  • New LUT - This option discards the modified and original LUTs and creates a new generic LUT

It should be noted that when the New LUT button is clicked, then the red, green, and blue exposure values of the resulting LUT will be totally equal. A consequence of this is if you are viewing a plot of all LUT channels at once then only the blue channel will be visible in the plot because the red and green plot lines will be below the blue plot line.

Step (5) - Edit LUTs:

This section presents a set of tools that the user can use to modify LUTs. Each of the tools will be explained in more depth in the later sections. The tools include:

  • Exposure - This allows you to adjust the white exposure of the CFR and make separate exposure shifts in the red, green, and blue channels of the current film table LUTs.
  • RGB Curves - This control allows you to edit the LUTs via an RGB curves control
  • Calibration - This control allows you to adjust film table LUT color balance by printing and analyzing one or more calibration targets
  • Other Edits - This currently control contains a smoothing tool which helps minimize abrupt color shifts and artifacts caused by LUTs.

Step (6) - Save As:

Clicking on the "Save As" button allows you to save the current film table. A standard Windows File Save dialog appears which prompts you for the file name and location. In order for the new film table to be compatible with the CFR, your new film table filename must always have a ".flm" extension.


LUT Editing Tools

CFR Film Table Commander provides a set of tools for editing LUTs. In some cases more than one tool could be used to achieve the same types of changes to LUTs. Four sets of LUT editing tools are provided:

  • Exposure: Does a simple global shift (increasing or decreasing) of the red, green and/or blue LUT exposure values
  • RGB Curves: Applies a customized RGB curve to LUTs
  • Calibration: Advanced user tool for adjusting LUTs based on analysis printed calibration targets
  • Other (Smoothing): Helps remove sharp transitions in LUTs (e.g. to help make background ramps of business presentations look smooth)

Below here is a simple table that lists the LUT editing tools ideal for modifying each aspect of LUT image quality. A rating of how easy each LUT editing tool is to use is also included:

Tool | White Exp. | Color Balance | Tone | Smooth Gradients | (Ease of Use)
Exposure | Y | Y | N | N | (fairly easy)
RGB Curves | N | Y | Y | N | (moderate)
Calibration | N | Y | N | N | (advanced)
Other (Smoothing) | N | N | N | Y | (fairly easy)

White Exposure: This refers to the image quality of whites printed with the current LUTs. There are two aspects to white exposure image quality. First, is overall brightness. If white is exposed with too much light then highlight detail can be lost (washed out). If white exposure is too low then printed whites won't look bright enough. The second aspect of white exposure image quality is the color balance (i.e. neutralality) of printed whites.

Color Balance: This refers to the color balance producted by the LUT. For example, when a gray color is printed then does the result look gray, or does it look redish, greenish or some other color.

Tone: This is refers to the brightness, contrast and lightness of images.

Smooth Gradients: This aspect of image quality is most important for printing business graphics images (which oftentimes have color gradient backgrounds). It is a measure of how smoothly and evenly color gradients are reproduced.

Ease of Use: This is a simple guide to how easy each LUT editing tool is to use.

In the next few sections each LUT editing tool is described in greater detail.


Exposure Tool

Exposure Tool Overview

The exposure tool does a simple adjustment of the red, green and/or blue LUT exposure values. Adjusting LUT exposure shifts the exposure values of all parts of a LUT, including the white exposure. Therefore you should use this tool only if you want to change the way the current LUTs expose whites.

Description of Changes Made By The Exposure Tool

The exposure tool adds or subtracts an offset to the log (base 2) of the LUT exposure values. From a photographic standpoint, the effect that this produces is similar to changing the exposure time or using a different aperture size.

How the Exposure Tool Controls Work

There are three steps involved in adjusting LUT exposure using the Exposure Tool. Each step corresponds to a group of controls on the Exposure Tool dialog box:

Step (1) Adjust Overall White Brightness - This control shifts the exposure levels of all channels (red, green and blue) equally by the indicated amount (shown in units of photographic stops). For example, a shift of +0.2 stops will shift the red, green and blue exposure by +0.2 stops. You can see the change reflected in the "View White Exposure Value" section of the dialog. The overall white exposure is important because to optimize image quality you generally want whites to be as bright as possible without starting to lose highlight detail.

Step (2) Adjust White Color Balance - This set of controls allow you to individually shift the red, green and blue exposures. These color shifts are added to the overall color shift made in Step (1). For example if a particular LUT was producing images that were too dark and too red, then you might want to set the overall white exposure in Step (1) to +0.3 stops to compensate for the "too dark" problem, and then set the red exposure to -0.10 stops in Step (2) to compensate for the "too red" problem. The result of these settings will be a red exposure shift of +0.20 along with green and blue exposure shifts of +0.30 stops.

Step (3) Select Range To Adjust - Adjustments made with the exposure tool always adjusts highlight portion of LUTs (i.e. LUT exposure values corresponding to RGB values close to 255). By default this same exposure shift is also applied to the rest of the LUT as well. Selecting the "Custom" option button in the "Select Range To Adjust" section instead of "Entire Tonescale" will limit the exposure shift that you selected to the white portion of the image tonescale. If you choose "Custom" then you also need to choose the RGB value above which the exposure shift will gradually start to be applied. This starting RGB value will control how much of the lower portion of the tonescale is effected by your exposure shift.

Usage Guide

The following questions will help guide your usage of the Exposure Tool:

Question 1 - Does the current film table produces well exposed (color balance, brightness, sharpness) whites? If YES then you shouldn't be using the Exposure tool (you can use the RGB Curves or Calibration LUT adjustment tools instead). If NO then proceed to Question 2.

Question 2 - Do you notice a reduction in the crispness of image detail near the white areas of your images? If YES then you should reduce the overall white exposure by sliding the white exposure control in Step (1) to a negative number and then proceed to Question 4. Otherwise proceed to Question 3.

Question 3 - Are the whites produced by the film table too dark? If YES then adjust the White Exposure Control in Step (1) to a positive value (e.g. +.2 stops). Proceed to Question 4.

Question 4 - Is the color balance of whites and bright colors produced by the film table neutral? If NO then adjust the red, green and blue controls in Step 2 to remove the color shift that you are seeing. For example you are getting reddish whites produced with your film table then you might try to set the red control to -0.2 stops. Proceed to Question 5.

Question 5 - Is the brightness/color balance problem that you are trying to fix visible throughout the entire image tonescale (i.e. in shadows, midtones and highlights)? If NO then set the "Range To Adjust" control on step (3) to "Custom" and then select the RGB value above which you would like your exposure shift to gradually start to be applied. For example, selecting 128 would start applying you exposure shift above RGB values of 128. For rendition of RGB values of 192, half of your exposure shift would be applied. Your exposure shift will be applied gradually more for lighter colors and will be fully applied LUT exposures associated with RGB's of 255 (white). All your Exposure Tool controls should now be correctly set.

Applying Your Adjustments - To apply your changes you should click on the "Apply" button or the "OK" button. The "OK" button applies your changes to the current LUT and then closes the Exposure dialog box.


RGB_Curves

RGB Curves Tool Overview

The RGB curves control allows you to adjust film table LUTs via a customized RGB LUT curves. The customized RGB LUT curve is created by fitting a smooth curve along a set of points that you provide. When you open the RGB Curves control there are only two points in the curve (0,0 and 255,255). You then add new points by clicking on the curve plot or manually typing in the point values. The current list of points and RGB curve is always displayed.

The X axis of the plot displayed represents the input RGB values and the Y axis of the plot represents the RGB output. For example, a point with coordinates of (128,120) has an RGB input value of 128 and output of 120. An RGB curve containing this point will transform the current film table LUT such that the exposure value which used to be associated with an RGB value of 120 will now be associated with an RGB value of 128 (producing a darker exposure). It should also be noted that using a smooth line to connect the curve points minimizes the abruptness of the changes applied to the LUTs.

There are actually four RGB curves which are produced. One curve is produced to separately adjust each color channel of the existing LUT (red, green and blue) and one RGB Curve is applied to all the color channels. You choose which channel you are viewing/editing by the dropdown box on top of the RGB Curve plot.

Regarding the "White Exposure" it should be noted that it is impossible to increase the maximum LUT exposure with this tool. If you are trying to produce brighter whites then you should try using the Exposure Tool.

It should also be noted that because the RGB Curve is being applied to the film table LUT, which has a much higher bit depth that 8 bits, then the quality of the result will be much greater than simply applying a similar transform to a digital image before printing with the same film table.

There are also "lightness" and "contrast" controls provided which allow you to make very simple adjustments of image lightness or contrast. Using these controls automatically resets all other previous changes which you have made to the RGB curves.

Description of Changes Made By The RGB Curves Tool

This tool actually creates four sets of RGB curves internally. One curve is made for each of the red, green and blue channels, and then there is one curve created which applies to all channels. The red, green and blue LUTs are separately transformed via the channel-specific RGB Curve and then all three are separately processed with the "All Curves" RGB Curve.

How the RGB Curves Controls Work

As previously stated, the RGB Curves control creates an RGB transform by fitting a smooth curve through the set of points that you provide. When you start there are only two point (0,0 and 255,255). The smooth line fitted between these points is a straight line in which all the input points all equal the output points. Applying this initial curve to your LUT causes no change to your LUT. There are separate RGB curves and cooresponding set of points for the red, green and blue channels as well as one separate RGB Curve and set of points which is applied to all channels. The RGB Curve for the currently selected channel is plotted and the corresponding set of points is located in the Curve Points listbox located to the right of the plot.

The RGB Curves are adjusted by adding, editing and/or deleting the points through which the smooth curve is fitted through to make up the RGB Curve.

Selecting a Curve Point - There are two ways to select a curve point. You can either click on the point in the graph or click on the point's coordinates listed in the Curve Points listbox. When you select a point, its coordinates will be highlighted in the Curve Point listbox and it will be represented on the plot by a filled circle instead of an empty circle. Once you select a point you can delete or edit it.

Editing (moving) a Point - There are two ways to edit a point. First, you can graphically click and drag it on the plot. When you do this you will see the curve updated dynamically. The other way to edit a point it by selecting it and then clicking the "Modify Point" button. This will cause a dialog box to open in which you can change the point coordinates. You will be notified if the new point location is too close any existing points for a smooth enough curve to be created by the program.

Deleting a Point - To delete a point you simply need to select the point and then click on the "Remove Pt." button.

Adding a Point - You can either add a point by clicking on the plot in the location where you want the new point to be located, or you can click the "Add Point" button and type in the coordinates of the new point that you want to add.

Simple Adjustments- If you just want to make a simple lightness or contrast adjustment then you can move the "Lighness" or "Contrast" slider controls to have points automatically added that make those basic adjustments to the RGB Curves. If you like, you can adjust the lightness and/or contrast and then manually adjust the points that were automatically added to the curves.

Clear Settings - Clicking on the "Clear All Pt.'s" button will reset the current curve to have only two points (0,0 and 255,255). This reset will only affect the current curve, though, so if you have added or changed points the curves of other channels and want to reset them then you will have to separately select and reset those RGB Curves.

Smooth Clipped Shadows/Highlights - Any RGB curve output values which drop below zero are set to zero and any that are above 255 are set to 255. By checking the "Smooth clipped shadows/highlights" any abrupt LUT changes caused by this clipping will be smoothed out. This is generally a good idea because it can minimize any image artifacts which could occur due to this clipping.

Saving/Loading Curves- Once you create a curve you can save it to disk. This enables you to load and apply the exact same curves at a later time. To save a set of set of RGB Curve settings to disk, simply click on the "Export" button. You will be promted to name the file where you want to save the settings data. The file will have an extension of ".ftc". To import, or load, RGB Curve Settings from a file, simply click on the "Import" button and select the Film Table Curve Settings file which contains the settings that you would like to load.

Applying Curves Adjustments- To apply a Curves adjustment to your film table, you can either click on the "OK" or "Apply" buttons. "OK" will apply your RGB Curves adjustment and then close the RGB Curves dialog box. The "Apply" will apply the RGB Curves adjustment but will leave the RGB Curves dialog box open.

Usage Guide

The following questions will help guide your usage of the RGB Curves Tool:

Question 1 - Does the current film table produces well exposed (color balance, brightness, sharpness) whites? If NO then you shouldn't be using the RGB Curves Tool (you should first adjust White Exposure using the Exposure Tool). If YES then proceed to Question 2.

Question 2 - Are you trying to fix a color balance problem with your film table LUTs (i.e. does your film table NOT produce neutral grays)? If YES then adjust the red, green, and blue channel curves to compensate for the color balance problems you are seeing in your film table. Proceed to Question 3.

Question 3 - Are you trying to fix a tonescale (brightness, contrast, lightness, etc.) problem with your film table LUTs? If YES then select the "All Channels" Curve in the dropdown box located above the curve plot and edit the curve points to make the tonescale improvements that you would like. Proceed to Question 4.

Question 4 - Do you want to save the RGB Curves that you just produced? If YES then save the curves that you just created to disk by clicking on the "Export" button. All your RGB Curve Tool controls should now be correctly set.

Applying Your Adjustments - To apply your changes you should click on the "Apply" button or the "OK" button. The "OK" button applies your changes to the current LUT and then closes the RGB Curves dialog box.


Calibration Tool

Calibration Tool Overview

The Calibration Tool performs a film table LUT color balance calibration, and is intended for advanced users. This tool helps you fix film table LUTs which aren't producing neutral grays. This tool does not affect the image tonescale (e.g. lightness, contrast, brightness). A set of color calibration targets is included with CFR Film Table Commander which can help with this calibration process. The calibration images should be located in the "calibration_images" subfolder of your CFR Film Table Commander program folder.

If your film table LUT is perfectly color balanced then printing an equal RGB pixel should produce a neutral color. For example, when you print an rgb value of (64,64,64) for red, green, and blue then the resulting color should be a neutral dark gray. If your LUT is not color balanced correctly then the color produced might be, for example, a dark bluish gray. There are several ways that you could compensate for this blue shift. You could use the RGB Curves or Exposure tools to reduce the blue channel of the LUT. The Calibration Tool gives you another option.

You must provide the Calibration Tool with a list of RGB triplets which actually do produce neutral output when printed with the current film table LUTs. The Calibration Tool then tries to adjust the LUTs accordingly. For the previously mentioned example, you might ascertain (by printing one of the provided calibraiton targets) that printing an RGB triplet of (64,64,55) will produce the neutral dark gray that you had expected to get from printing (64,64,64). The Calibration Tool can use this information to try to fix the color balance of the existing LUTs.

There are ten calibration targets provided, representing five different areas of the image tonescale and two levels of sampling of the red and blue digits:

Target Name | green digit | red, blue range
dk_shadow_narrow.tif | 32 | +/- 3, max. +/- 21
dk_shadow_wide.tif | 32 | +/- 9, max. +/- 63
lt_shadow_narrow.tif | 80 | +/- 3, max. +/- 21
lt_shadow_wide.tif | 80 | +/- 9, max. +/- 63
midtone_narrow.tif | 128 | +/- 3, max. +/- 21
midtone_wide.tif | 128 | +/- 9, max. +/- 63
dk_highlights_narrow.tif | 176 | +/- 3, max. +/- 21
dk_highlights_wide.tif | 176 | +/- 9, max. +/- 63
lt_highlights_narrow.tif | 224 | +/- 3, max. +/- 21
lt_highlights_wide.tif | 224 | +/- 9, max. +/- 63

Each target contains a grid of colors in which the green digit stays constant and the red and blue RGB digits are varied. There are a total of 15 rows and 15 columns in the grid. The red digit increases as you move from the top of the grid to the bottom of the grid. The blue digit increases as you move from left to right in the grid. In the middle square of the grid the red, green and blue RGB values are equal. If the LUT color balance was perfect, then that middle square would be a perfectly neutral gray. If the color balance of the LUT is not perfect then some other square in the test grid image will be more neutral. By printing the calibration image and then inputting which RGB triplet actually does produce neutral results, the Calibration Tool can improve the color balance of the LUTs.

The different calibration targets are provided to help improve the color balance at different parts of the tonescale. Also, for each part of the tonescale a "narrow" and "wide" target is provided. The "narrow" target should be used when the color balance of the existing LUT is not too far off. The "wide" target should be used when the color balance of the current film table LUT is very off.

To use the calibration tool, you input one or more RGB values which produce neutral output with the existing film table LUTs. In the Calibration Tool dialog box, you are given the option of selecting the calibration target which you used. Selecting the calibration target automatically fills in the green RGB value in the calibration point input interface. After the green value is selected, you then type in the appropriate red and blue RGB values which produced the most neutral result with that green RGB value.

You can calibrate a film table by inputting as little as one RGB value. If you only use one value, though, then the program will assume that the entire tonescale has similar color balance characteristics as the point that you input. This type of a shift would be make sense is if a LUT produced images that had a color imbalance throughout the entire image tonescale (from shadows to highlights).

Further options which allow you to adjust the types of changes that the Calibration Tool makes provided and described below here.

Description of Changes Made By The Calibration Tool

The Calibration Tool only modifies the red and blue LUT exposure values. The green LUT exposure values are never modified. Given the information about which RGB values actually produce neutral output, the Calibration tool tries to adjust the red and blue LUT exposures to produce properly color balanced with the given set of green LUT exposure values.

How the Calibration Tool Works

Step (1) Input RGB's That Produce Grays

In order to use the Calibration Tool, you have to determine and input at least one RGB triplet which will produce a neutral (gray) output:

  1. Calibration Target: If you are using the calibration targets then you can select which target you are using from the "(a) Select Target:" drop down box. Selecting the target will cause the green RGB value to automatically be filled into the "(b) Select Best Red, Blue RGB values" input box. Besides the existing calibration targets, the list also contains "Dmin" and "Dmax". Selecting these allows you to indicate the color balance of the whites and blacks produced by the current film table LUTs, respectively.
  2. If Calibration Target Not Selected Then Choose Green RGB: If you haven't chosen a Calibration target, then you will have to manually select the green RGB value of your neutral RGB triplet in part (b) of Step (1). You choose your green RGB value by selecting the value from the green dropdown control.
  3. Input the Red and Blue RGB triplet values: Once you have selected the green RGB value of the neutral RGB triplet, you next need to type in the corresponding Red and Blue RGB values which will produce a neutral print color. You type the red and blue values in the red and blue text boxes in part (b) of Step (1) on the calibration dialog. The red and blue values don't have to be integers (e.g. a value of 123.4 is acceptable), but both values must be in the range of 0-255.
  4. Add To List: Once you have entered a valid neutral RGB triplet, then the "Add To List" button in part (c) of Step (1) should become enabled. Clicking this button will add your RGB triplet to the "Neutral RGB Triplet List". This list of neutral RGB points is used by the software to calibrate your film table.

You can edit the values from the "Neutral RGB Triplet List" by selecting the triplet from the list, editing the red and blue values using the edit controls in part (b) of step (1), and then clicking on the "Add To List" button. You should immediately see your changes updated in the "Neutral RGB Triplet List".

You can delete an RGB triplet by selecting it and then clicking on the "Delete" button which is located under the "(c) Add, save or delete current point" section of Step (1).

Step (2) Review Options, Status

Once you have input the list of neutral RGB triplet values, the next step is to select the calibration options.

  1. Adjust Existing R,B Curves: If this is selected then the existing red and blue LUT exposure values will be adjusted based on the calibration points. If this is not selected, then totally new red and blue LUT value will be calculated. In most cases you would probably want to adjust existing LUT values, unless you want to make major changes to the existing LUTs.
  2. Maintain Current White: If this is selected then the LUT values corresponding to printing white will not be modified. If you do not select this option then the red and blue LUT exposure values for white are free to change. You should select this option if you are satisfied with the way that the LUTs currently print whites.
  3. Weight Factor: Depending on the calibration points that you have entered, forcing a LUT to exactly correspond to these points could result in a LUT that is not very smooth. This could cause some image artifacts. It is inevitable that there will be some noise/inaccuracies in your list of Neutral RGB values. The Weight slider control helps you smooth out problems caused by these innaccuracies. If you are totally confident of the accuracy of the neutral RGB values that you have entered then you should move the Weight slider all the way to the right (to "Accuracy"). Otherwise you can move the slider somewhere in between "Accuracy" and "Smoothness" to allow for some compensation for possible inaccuracies in your neutral RGB. The closer the slider is to the left ("Smoothness"), the more compensation is made for possible innacuracy in your calibraiton points. This weighting factor is only relavent when you have more than three neutral RGB points. It is disabled when you have less than three neutral calibration RGB values.

Step (3) Apply Change To LUT

Once you have input all the neutral RGB triplets that you want used in the calibration and you have selected the options that you want, you are then ready to calculate your new LUT. You calculate the LUT by simply clicking on the "Apply" button. You changes will immdediately be applied to the current LUT on the main film table editing window.

If you are not satisfied with the changes made, then you can adjust the your neutral RGB triplet list in Step (1) and/or the options in Step (2) and then click on the "Apply" button again to recalculate the LUT.

Usage Guide

The following questions will help guide your usage of the Calibration Tool:

Question 1 - Have you printed the calibration target or run some other test in order to determine one or more new RGB triplets which will produce neutral gray color output from the CFR? If NO then print then print and analyze the calibration targets as described above here to obtain a list of RGB triplets which produce neutral gray output. If YES then input the neutral RGB values using the controls in the "Step (1) Input RGB's that produce grays" section of the calibration dialog box. Proceed to Question 2.

Question 2 - Are you satisfied with the color balance of white and black colors produced by the printer with the current film table LUT? If YES then you can help preserve the way that the LUT reproduces white and/or black by selecting "Set Dmin" or "Set Dmax" from the "Select Target" drop down box. There is no actual digital calibration target named "Set Dmax" or "Set Dmin". This option just allows you to add extra calibration data points at the ends of the LUT which will help preserve the way that the LUT reproduces blacks and/or whites. If you are satisfied with how the current LUTs reproduce Dmin (white) or Dmax (black) then you would want to preserve those exposures by inputing equal values for red and blue and then clicking on the "Add to List" button. For example if you are happy with the color balance of the whites produced by the current LUTs then adding the neutral calibration triplet of (250,250,250) will help preserve the way that whites are produced. It should be noted that an alternative way to preserve whites will be to select the "Maintain Current White" option (described later). Proceed to Question 3.

Question 3 - Are the existing red and blue LUT curves very bad or are you making very large changes to the LUTs? If YES then do not select the "Adjust existing R,B Curves" checkbox. If NO then select the "Adjust existing R,B Curves" checkbox option. Proceed to Question 4.

Question 4 - Does the current film table LUT produce reasonable color balanced whites? If YES then do not check on the "Maintain Current White" checkbox. If NO then check on "Adjust existing R,B Curves" checkbox option. Proceed to Question 5.

Question 5 - Do you have more than three points in your Neutral RGB Triplet List? If YES then you need to set the Weight slider contorl to reflect the level of accuracy and smoothness that you want in your LUT (see the previous section for a more details description of the Weight slider control). All Calibration Tool options should now be set correctly.

Applying Your Adjustments - Now that all options have been set you are ready to click on the "Apply" button to adjust your LUT. You can view the resulting new LUT in the main dialog. If you are unhappy with the results then you can change your options and try recalculating the LUT.


Other Edits

Smoothing Tool Overview

The LUT Smoothing tab of the "Other Edits" toolbox contains a LUT smoothing utility which helps reduce image artifacts caused by sharp LUT transitions. This tool is especially helpful for creating LUTs that will be used to print business presentation slides. Oftentimes these types of slides contain color gradient backgrounds, which don't print well if there are abrupt exposure shifts in the LUTs.

The smoothing options are fairly straight forward. First, you can choose the portion of the LUT that you want to smooth (by default the smoothing is applied to the entire LUT). Second, you can adjust the amount of smoothing. Third, you can select the type of smoothing. A "Median" type of smoothing is best for removing selective abrupt shift in a LUT while having less of an effect on the rest of the LUT. An "Average" type of smoothing affects the entire LUT equally.

Description of Changes Made By The Smoothing Tool

This tool only affects the RGB levels selected in the "Step (1) LUT RGB Rang To Smooth" dialog controls. The tool smooths this region of the LUT using a smoothing window size equal to the value selected in the "Step (2) - Smoothing Amount" section. The larger the window size, the greater the smoothing effect.

If the Smoothing Method is set to "Averaging" then a simple averaging of the exposure values is performed. If "Median" is selected then median smoothing is perormed on the derivative of log of the LUT exposure values.

How the Smoothing Tool Works

As previously mentioned, there are three pieces of information that you need to select in order to use the Smoothing Tool. You need to tell the software how much of the LUT you want to smooth, how much smoothing to perform and what type of smoothing you want to perform.

Step (1) - LUT RGB Range to Smooth

You first need to select the portion of the LUT that you want to smooth by selecting the start and finishing RGB values. For example, selecting 1 and 255 as a start and finishing RGB smooths the entire LUT wherease selecting 180 and 255 will only smooth the highlight portion of the LUT.

Step (2) - Smoothing Amount

In this next section of the Smoothing Tool dialog you select the amount of smoothing that is performed. The number that you select corresponds to the smoothing window that is used. For example, select a value of 3 will cause much less smoothing than selecting 21.

Step (3) - Smoothing Method

You must select whether you want an average or median type of smoothing to be performed. The median smoothing works best for fixing small, specific unsmooth areas of the LUT.

Step (4) - Apply to Current LUT

Clicking the "Apply Now" button will smooth the current film table LUT with the smoothing options that you have selected. After smoothing a LUT the options reset themselves to back to default values. It also should be noted that if the smoothing effect is small enough then in some cases there might be no change made to the LUTs (i.e. the smoothed LUT might be equal to the initial LUT).

Usage Guide

The following questions will help guide your usage of the Smoothing Tool:

Question 1 - Do you want to smooth the entire LUT? If YES then leave the "Start Smoothing at:" and "Finish Smoothing at:" values at 1 and 255 (their default values). If NO then change the start/finish RGB values to cover the area of the LUT that you want to smooth. Proceed to Question 2.

Question 2 - Do you want to perform a lot of smoothing of the LUT? If YES then select a larger value (i.e. in the 11-19 range) for the "Amount of Smoothing" in "Step (2) Smoothing Amount". If NO then select a smaller value (i.e. in the 3-9 range) for the "Amount of Smoothing" in "Step (2) Smoothing Amount". Proceed to Question 3.

Question 3 - Do you want to smooth the entire LUT (as opposed to just fixing some specific bad points in the LUT)? For YES select "Averaging" in "Step (3) - Smoothing Method". If NO then select "Median" in "Step (3) - Smoothing Method".

Now that all options have been set you are ready to click on the "Apply Now" button to smooth your LUT. After the changes are applied you the smoothing settings will be reset.


Additional Issues

These next sections contain some tips for working with negative films, and give you some strategic tips for creating new film tables. Negatives require some special treatment because of the system variability associated with the film processing and printing processes. The section on "Creating New Film Tables" contains a strategic guide to help create film tables for new films using the tools provided with CFR Film Table Commander.


Film Tables For New Films

The following is a recommended strategy for creating a new film tables:

  1. Run the New film table wizard
  2. Adjust the white exposure using the Exposure tool
  3. Adjust the color balance using the RGB Curves and/or Calibration tool
  4. Adjust the tonescale using the RGB Curves tool

It makes sens to adjust to make exposure adjustments first because besides affecting the white exposure they also can affect the rest of the LUT.

Oftentimes it is worth creating several versions of a film table and making sample prints with each of the versions in order to help you quickly judge which adjustments produce the best results.

One final thing to keep in mind is that when making sample prints to test a new 8K resolution film table LUT (for Pro Palette 8000 series CFR's) you need to be sure to set your print resolution to 8K in your printer software. If you don't then the CFR might be using the 4K resolution LUT.


Working With Negatives

Working With Negative Film

Negative films provide some special problems for film table calibrations. The first problem is that the film developing process for negative films is generally much more variable than slide film processing. The second problem is that the color adjustments that are made when negatives are printed onto photo paper vary greatly. Both of these issues can make the creation of film tables for negative films difficult. There are some things that you can do to minimize these variations though.

The first thing that you can do is to find a good, professional photo lab, and always process your film at the same lab. You might also want to buy your film in bulk so that all the film that you use is coming from the same manufacturing batch. This can reduce the effect of film variation on your results.

The next thing you can do is to always have custom calibrated photo printing done by your photo lab. This can be done the following way:

  1. Each time that you want to process a batch of negative film, photograph (with careful exposure metering) a standard photographic gray card. Be sure to use the same film that you are using with your CFR.
  2. Have your gray card photo processed along with your CFR images.
  3. Tell the photo lab that you want your negative prints to be custom printed by first adjusting the lab's photo print exposures to make the gray card image print as a neutral 18% gray (.75 neutral density of the print). Then without changing photo print settings, the lab should print the rest of the images (your CFR images).

This procedure works well for eliminating variability because it compensates for both the shifting of the film developing process and shifting of the photo printing process.


License Agreement

IMPORTANT - READ CAREFULLY:

This End-User License Agreement is a legal agreement between you (either an individual or a single entity) and SRS1 Software, LLC. for the software product identified above, which includes computer software and may include associated media, printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT"). By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this LICENSE AGREEMENT. If you do not agree to the terms of this LICENSE AGREEMENT, do not install or use the SOFTWARE PRODUCT. Please do NOT order a registration key, if you do not agree to this license agreement.

License conditions
The SOFTWARE PRODUCT is protected by copyright laws and international copyright agreements, as well as other intellectual property laws and agreements. No part of the software or the manual may be multiplied, disseminated or processed in any way without the written consent of SRS1 Software, LLC. Violations of these conditions will be prosecuted in every case.

The use of the software is done at your own risk. The manufacturer and developer accept no liability for any damages, either as direct or indirect consequence of the use or abuse of this product or software by the end-user. The SOFTWARE PRODUCT is being licensed and not sold.

All rights reserved. Software Copyright © 2009 SRS1 Software, LLC

SOFTWARE PRODUCT LICENSE

GRANT OF LICENSE. This LICENSE AGREEMENT grants you the following simple non-exclusive rights:

Applications Software
You may install and use one copy of the SOFTWARE PRODUCT, or any prior version for the same operating system, on a single computer. The primary user of the computer on which the SOFTWARE PRODUCT is installed may make a second copy for his or her exclusive use.

Storage/Network Use
You may also store or install a copy of the SOFTWARE PRODUCT on a storage device, such as a network server, used only to install or run the SOFTWARE PRODUCT on your other computers over an internal network; however, you must acquire and dedicate a license for each separate computer on which the SOFTWARE PRODUCT is installed or run from the storage device. A license for the SOFTWARE PRODUCT may not be shared or used concurrently on different computers.

DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS ;

SOFTWARE PRODUCT as Demo Version
Even if the SOFTWARE PRODUCT is a demonstration version, it is protected by copyright laws and international copyright agreements, as well as other intellectual property laws and agreements.

Limitations on Reverse Engineering, Decompilation, and Disassembly
You may not reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation. This also applies to Demo versions.

Separation of Components
The SOFTWARE PRODUCT is licensed as a single product. Its component parts may not be separated for use on more than one computer. This also applies to demo versions.

Rental
You may not rent, lease, or lend the SOFTWARE PRODUCT. This also applies to demo versions.

Software Transfer
You may not transfer the rights of this end-user LICENSE AGREEMENT.

Data Transmission
You may not transmit the SOFTWARE PRODUCT, or parts of it, without the prior permission of SRS1 Software.

Termination
The license to use the SOFTWARE PRODUCT ends at the 31st of December, 2050. Without prejudice to any other rights (civil or criminal), SRS1 Software, LLC. may terminate this LICENSE AGREEMENT if you fail to comply with the terms and conditions of this LICENSE AGREEMENT. In such an event, you must destroy all copies of the SOFTWARE PRODUCT and all of its components.

Upgrades
If the SOFTWARE PRODUCT is labeled as an upgrade, you must be properly licensed to use the SOFTWARE PRODUCT identified by SRS1 Software as being eligible for the upgrade in order to use the SOFTWARE PRODUCT. A SOFTWARE PRODUCT labeled as an upgrade replaces and/or supplements the product that forms the basis for your eligibility for the upgrade. You may use the resulting upgraded product only in accordance with the terms of this LICENSE AGREEMENT. If the SOFTWARE PRODUCT is an upgrade of a component of a package of software programs that you licensed as a single product, the SOFTWARE PRODUCT may be used and transferred only as part of that single product package and may not be separated for use on more than one computer.

This film tables which are edited or produced by this product can only be used by the End-User. The End-User may not sell film tables produced by this product.


Contact Info

For product updates and general information, visit our website at:

http://www.SRS1Software.com

We welcome your feedback. Please send any suggestions, problems, etc. to:

feedback@SRS1Software.com

Thank you for your support!


Registration

You can purchase and register CFR Film Table Commander at:

http://www.cfrFilmTables.com/cftc_reg.htm

Registering your copy of this software will enable you to save and use the film tables that you generate with CFR Film Table Commander.

Remember, Cfr Film Table Commander will help you get the most from your color film recorder investment, and can dramatically increase the image quality and useful life of your CFR. Also, minor upgrades of CFR Film Table Commander software are free for registered users.

Visit our website (http://www.cfrFilmTables.com) for updates and information.

Thank you for your support!